<?php
	
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );

	class AdminEditPollsView extends AdminPluginTemplatedView
	{

		function AdminEditPollsView( $blogInfo )
		{
			$this->AdminPluginTemplatedView( $blogInfo, "crystalpoll", "editpolls" );
    	}
		
		function render()
		{
		    lt_include( PLOG_CLASS_PATH."plugins/crystalpoll/class/dao/polls.class.php" );
		    $polls = new Polls();
		    $this->setValue('polls', $polls->getBlogPolls( $this->_blogInfo->getId() ));
			parent::render();
		}
	}
?>